Debian Bug report logs - #610022
fglrx-glx fails to install in parallel with nvidia-glx

version graph

Package: fglrx-glx; Maintainer for fglrx-glx is Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>; Source for fglrx-glx is src:fglrx-driver.

Reported by: Ronny Standtke <Ronny.Standtke@gmx.net>

Date: Fri, 14 Jan 2011 22:21:01 UTC

Severity: wishlist

Tags: help, wontfix

Found in version fglrx-driver/1:10-9-3

Fixed in version fglrx-driver/1:11-6-1

Done: Patrick Matthäi <pmatthaei@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#610022; Package fglrx-glx. (Fri, 14 Jan 2011 22:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ronny Standtke <Ronny.Standtke@gmx.net>:
New Bug report received and forwarded. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>. (Fri, 14 Jan 2011 22:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ronny Standtke <Ronny.Standtke@gmx.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: fglrx-glx fails to install in parallel with nvidia-glx
Date: Fri, 14 Jan 2011 23:18:28 +0100
Package: fglrx-glx
Version: 1:10-9-3
Severity: normal

Many systems, especially systems based on Debian Live, need to be able to 
install fglrx-glx in parallel with nvidia-glx.

See the following discussion on the Debian Live mailing list for details:
http://lists.debian.org/debian-live/2011/01/msg00059.html

Instead of solutions developed outside of Debian, this issue should be 
resolved in the Debian packages.




Reply sent to pmatthaei@debian.org:
You have taken responsibility. (Sun, 16 Jan 2011 12:57:05 GMT) Full text and rfc822 format available.

Notification sent to Ronny Standtke <Ronny.Standtke@gmx.net>:
Bug acknowledged by developer. (Sun, 16 Jan 2011 12:57:05 GMT) Full text and rfc822 format available.

Message #10 received at 610022-done@bugs.debian.org (full text, mbox):

From: Patrick Matthäi <pmatthaei@debian.org>
To: Ronny Standtke <Ronny.Standtke@gmx.net>, 610022-done@bugs.debian.org
Subject: Re: [Pkg-fglrx-devel] Bug#610022: fglrx-glx fails to install in parallel with nvidia-glx
Date: Sun, 16 Jan 2011 13:52:51 +0100
[Message part 1 (text/plain, inline)]
Am 14.01.2011 23:18, schrieb Ronny Standtke:
> Package: fglrx-glx
> Version: 1:10-9-3
> Severity: normal
> 
> Many systems, especially systems based on Debian Live, need to be able to 
> install fglrx-glx in parallel with nvidia-glx.
> 
> See the following discussion on the Debian Live mailing list for details:
> http://lists.debian.org/debian-live/2011/01/msg00059.html
> 
> Instead of solutions developed outside of Debian, this issue should be 
> resolved in the Debian packages.

Sorry, not possible, because we have to divert the libGl with the one
from fglrx. So by installing fglrx it is also not possible to use
another 3d accelerated gpu driver anymore.

-- 
/*
Mit freundlichem Gruß / With kind regards,
 Patrick Matthäi
 GNU/Linux Debian Developer

E-Mail: pmatthaei@debian.org
        patrick@linux-dev.org

Comment:
Always if we think we are right,
we were maybe wrong.
*/

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#610022; Package fglrx-glx. (Sun, 16 Jan 2011 13:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ronny Standtke <Ronny.Standtke@gmx.net>:
Extra info received and forwarded to list. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>. (Sun, 16 Jan 2011 13:51:05 GMT) Full text and rfc822 format available.

Message #15 received at 610022@bugs.debian.org (full text, mbox):

From: Ronny Standtke <Ronny.Standtke@gmx.net>
To: pmatthaei@debian.org
Cc: 610022@bugs.debian.org
Subject: Re: [Pkg-fglrx-devel] Bug#610022: fglrx-glx fails to install in parallel with nvidia-glx
Date: Sun, 16 Jan 2011 14:49:22 +0100
reopen 610022

> Sorry, not possible

This is not true, it is definitely possible. Several parties have already 
developed solutions for this problem, see the following both messages of the 
discussion on the Debian Live mailinglist mentioned in the initial bug report:
http://lists.debian.org/debian-live/2011/01/msg00065.html
http://lists.debian.org/debian-live/2011/01/msg00066.html

> So by installing fglrx it is also not possible to use
> another 3d accelerated gpu driver anymore.

It is, you just need to use update-alternative.




Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 16 Jan 2011 14:18:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#610022; Package fglrx-glx. (Sun, 16 Jan 2011 19:27:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to pmatthaei@debian.org:
Extra info received and forwarded to list. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>. (Sun, 16 Jan 2011 19:27:14 GMT) Full text and rfc822 format available.

Message #22 received at 610022@bugs.debian.org (full text, mbox):

From: Patrick Matthäi <pmatthaei@debian.org>
To: Ronny Standtke <Ronny.Standtke@gmx.net>
Cc: 610022@bugs.debian.org, debian-x@lists.debian.org
Subject: Re: [Pkg-fglrx-devel] Bug#610022: fglrx-glx fails to install in parallel with nvidia-glx
Date: Sun, 16 Jan 2011 20:24:17 +0100
[Message part 1 (text/plain, inline)]
Am 16.01.2011 14:49, schrieb Ronny Standtke:
> reopen 610022
> 
>> Sorry, not possible
> 
> This is not true, it is definitely possible. Several parties have already 
> developed solutions for this problem, see the following both messages of the 
> discussion on the Debian Live mailinglist mentioned in the initial bug report:
> http://lists.debian.org/debian-live/2011/01/msg00065.html
> http://lists.debian.org/debian-live/2011/01/msg00066.html
> 
>> So by installing fglrx it is also not possible to use
>> another 3d accelerated gpu driver anymore.
> 
> It is, you just need to use update-alternative.

The xorg/mesa team has to play with us then. I also don't think, that
using the alternative system is the right way, because:

1) building against the fglrx libgl implementation is a bad idea
2) users may get strange problems/crashes, if they install different
drivers (fglrx+free-drivers / nvidia+fglrx / nvidia+free drivers etc).
3) It is no alternative, it is a diversion, because it is needed!
4) for fglrx it would just be a little step for live booting, fglrx
still needs a xorg.conf with some options (like defaultdepth)

I understand your position and it is a good idea to add fglrx to live
cds, but I don't see any good solution (without ugly workarounds) to
implement it, yet.

Maybe it would be better to install the {fglrx,nvidia}-glx package on
probing?

I am CCing the xstrike force, maybe they have got some 50 cent to this
topic :)

-- 
/*
Mit freundlichem Gruß / With kind regards,
 Patrick Matthäi
 GNU/Linux Debian Developer

E-Mail: pmatthaei@debian.org
        patrick@linux-dev.org

Comment:
Always if we think we are right,
we were maybe wrong.
*/

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#610022; Package fglrx-glx. (Mon, 24 Jan 2011 02:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>. (Mon, 24 Jan 2011 02:00:05 GMT) Full text and rfc822 format available.

Message #27 received at 610022@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: pmatthaei@debian.org
Cc: Ronny Standtke <Ronny.Standtke@gmx.net>, 610022@bugs.debian.org, debian-x@lists.debian.org, 610021@bugs.debian.org
Subject: Re: Bug#610021/#610022: fglrx-glx fails to install in parallel with nvidia-glx
Date: Mon, 24 Jan 2011 02:48:24 +0100
On Sunday, 16. January 2011 20:24:17 Patrick Matthäi wrote:
> Am 16.01.2011 14:49, schrieb Ronny Standtke:
> > reopen 610022
> >
> >> Sorry, not possible
> >
> > This is not true, it is definitely possible. Several parties have already
> > developed solutions for this problem, see the following both messages of
> > the discussion on the Debian Live mailinglist mentioned in the initial
> > bug report: http://lists.debian.org/debian-live/2011/01/msg00065.html
> > http://lists.debian.org/debian-live/2011/01/msg00066.html

Let me describe how the new nvidia non-free packages work for squeeze:
(I implemented and tested these changes.)

There are three new packages libgl1-nvidia-alternatives, 
libgl1-nvidia-alternatives-ia32, libgl1-nvidia-alternatives-ia32 that do the 
diversions of OpenGL libraries (from libgl1-mesa-glx, ia32-libs, *-dev) and 
create alternatives of the diverted files. The diversions are created/removed 
by dpkg triggers whenever the diverted packages are (un-)installed.

The nvidia packages Depends: on the lib*-nvidia-alternatives package for the 
library they provide, install the "new" library in a private library 
directory (/usr/lib/nvidia) and add an alternative (with higher priority than 
the diverted library from mesa).

There are currently a lot of Conflicts defined to make sure only one of 
nvidia-graphics-drivers, nvidia-graphics-drivers-legacy-173xx or 
nvidia-graphics-drivers-legacy-96xx can be installed at a time. (legacy-71xx 
is no longer supported with current Xorg.) Most of these Conflicts should not 
be necessary since there are no more file name conflicts for the libraries.

There are file name conflicts for nvidia_drv.so (the Xorg driver module) 
libglx.so (the replaced Xorg module) and nvidia.ko (the kernel module which 
may exist for any number of distribution and custom kernels at the same time) 
and I currently have no solution how to solve these to allow installing both 
nvidia-graphics-drivers as well as one (or two) legacy versions at the same 
time. Could we rename them eventually? Alternatively (at least for the xorg 
modules) we could set up one more set of alternatives.

...

About configuring xorg for the nonfree drivers: There is a compile time option 
for Xorg that makes it read PCI ID lists from /usr/share/xserver-xorg/pci/ 
and auto-select drivers modules of corresponding file names if a matching 
device was found in the system. This flag was active for some tome in the 
Debian Xorg packages, but is no longer enabled. IIRC it was related to 
defining PCI_TXT_IDS_DIR.

The nvidia-glx* packages ship a nvidia.ids file in that directory (but it's 
not used by current xorg).


> >> So by installing fglrx it is also not possible to use
> >> another 3d accelerated gpu driver anymore.
> >
> > It is, you just need to use update-alternative.

And it does work for nvidia-glx :-)

> The xorg/mesa team has to play with us then. I also don't think, that
> using the alternative system is the right way, because:
>
> 1) building against the fglrx libgl implementation is a bad idea

Agreed. Therefore nvidia-graphics-drivers* does not provide any libGL.so 
symlink. Instead the libgl1-nvidia-alternatives package diverts the libGL.so 
link provided by libgl1-mesa-dev and creates an alternative (via triggers) 
pointing to the diverted libGL.so - so at link time always the mesa opengl 
library will be used. For picking up the correct library at package build 
time, a shlibs file redirecting to libgl1-mesa-glx is being used.
(I.e. in short - no building/packaging of opengl programs without 
libgl1-mesa-dev installed).

> 2) users may get strange problems/crashes, if they install different
> drivers (fglrx+free-drivers / nvidia+fglrx / nvidia+free drivers etc).

Packages and alternatives should cooperate and have safe defaults - and 
bug-scripts that list all possible breakers :-)

> 3) It is no alternative, it is a diversion, because it is needed!

It is alternatives. The diversions are only needed until we can convince the 
mesa maintainers to ship their library in /usr/lib/mesa and install a primary 
alternative. (I haven't tried and I'm not sure if we really want to propose 
this).

> 4) for fglrx it would just be a little step for live booting, fglrx
> still needs a xorg.conf with some options (like defaultdepth)

nvidia-glx currently needs the following minimal xorg.conf to be used (since 
there is no autodetection)

Section "Device"
        Identifier "GPU"
        Driver "nvidia"
EndSection

> I understand your position and it is a good idea to add fglrx to live
> cds, but I don't see any good solution (without ugly workarounds) to
> implement it, yet.

Something I can offer to the fglrx maintainers is to generalize the 
diversion/alternatives packages so that it supports fglrx, too. This should 
be not too difficult. But eventually we should rename the packages (something 
that contains "xorg" and "non-free" perhaps?) and move the location of the 
diversions to remove the references to nvidia.
I can also help getting the diversions migrated properly and the alternatives 
set up.

Does fglrx have some "legacy" versions, too, or does the current driver 
version still support all cards that were ever supported by fglrx?

> Maybe it would be better to install the {fglrx,nvidia}-glx package on
> probing?
>
> I am CCing the xstrike force, maybe they have got some 50 cent to this
> topic :)


One thing that probably won't be solved by the currently evolving free drivers 
(nouveau etc) is support for the GPGPU computation frameworks (CUDA, 
OpenCL) - therefore we will need the non-free drivers in the future, too. :-(


Andreas




Information forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#610022; Package fglrx-glx. (Mon, 24 Jan 2011 08:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to pmatthaei@debian.org:
Extra info received and forwarded to list. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>. (Mon, 24 Jan 2011 08:27:05 GMT) Full text and rfc822 format available.

Message #32 received at 610022@bugs.debian.org (full text, mbox):

From: Patrick Matthäi <pmatthaei@debian.org>
To: Andreas Beckmann <debian@abeckmann.de>
Cc: Ronny Standtke <Ronny.Standtke@gmx.net>, 610022@bugs.debian.org, debian-x@lists.debian.org, 610021@bugs.debian.org
Subject: Re: Bug#610021/#610022: fglrx-glx fails to install in parallel with nvidia-glx
Date: Mon, 24 Jan 2011 09:24:55 +0100
Am 24.01.2011 02:48, schrieb Andreas Beckmann:
> There are three new packages libgl1-nvidia-alternatives,
> libgl1-nvidia-alternatives-ia32, libgl1-nvidia-alternatives-ia32 that do the
> diversions of OpenGL libraries (from libgl1-mesa-glx, ia32-libs, *-dev) and
> create alternatives of the diverted files. The diversions are created/removed
> by dpkg triggers whenever the diverted packages are (un-)installed.
>
> The nvidia packages Depends: on the lib*-nvidia-alternatives package for the
> library they provide, install the "new" library in a private library
> directory (/usr/lib/nvidia) and add an alternative (with higher priority than
> the diverted library from mesa).
>
> There are currently a lot of Conflicts defined to make sure only one of
> nvidia-graphics-drivers, nvidia-graphics-drivers-legacy-173xx or
> nvidia-graphics-drivers-legacy-96xx can be installed at a time. (legacy-71xx
> is no longer supported with current Xorg.) Most of these Conflicts should not
> be necessary since there are no more file name conflicts for the libraries.
>
> There are file name conflicts for nvidia_drv.so (the Xorg driver module)
> libglx.so (the replaced Xorg module) and nvidia.ko (the kernel module which
> may exist for any number of distribution and custom kernels at the same time)
> and I currently have no solution how to solve these to allow installing both
> nvidia-graphics-drivers as well as one (or two) legacy versions at the same
> time. Could we rename them eventually? Alternatively (at least for the xorg
> modules) we could set up one more set of alternatives.

Sounds like things getting complicated..

>>>> So by installing fglrx it is also not possible to use
>>>> another 3d accelerated gpu driver anymore.
>>>
>>> It is, you just need to use update-alternative.
>
> And it does work for nvidia-glx :-)

Don't forget, that it may damage your card, if you use a not supported 
combination, that is why IMHO this is broken!

>
> Something I can offer to the fglrx maintainers is to generalize the
> diversion/alternatives packages so that it supports fglrx, too. This should
> be not too difficult. But eventually we should rename the packages (something
> that contains "xorg" and "non-free" perhaps?) and move the location of the
> diversions to remove the references to nvidia.
> I can also help getting the diversions migrated properly and the alternatives
> set up.

Or providing patches?
Maybe I would agree with a fglrx package called e.g. fglrx-driver-live, 
which will do those things.

>
> Does fglrx have some "legacy" versions, too, or does the current driver
> version still support all cards that were ever supported by fglrx?

No, old cards are dropped.





Information forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#610022; Package fglrx-glx. (Mon, 24 Jan 2011 09:39:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michel Dänzer <daenzer@debian.org>:
Extra info received and forwarded to list. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>. (Mon, 24 Jan 2011 09:39:08 GMT) Full text and rfc822 format available.

Message #37 received at 610022@bugs.debian.org (full text, mbox):

From: Michel Dänzer <daenzer@debian.org>
To: Andreas Beckmann <debian@abeckmann.de>
Cc: pmatthaei@debian.org, Ronny Standtke <Ronny.Standtke@gmx.net>, 610022@bugs.debian.org, debian-x@lists.debian.org, 610021@bugs.debian.org
Subject: Re: Bug#610021/#610022: fglrx-glx fails to install in parallel with nvidia-glx
Date: Mon, 24 Jan 2011 10:36:17 +0100
On Mon, 2011-01-24 at 02:48 +0100, Andreas Beckmann wrote: 
> On Sunday, 16. January 2011 20:24:17 Patrick Matthäi wrote:
> >
> > 1) building against the fglrx libgl implementation is a bad idea
> 
> Agreed. Therefore nvidia-graphics-drivers* does not provide any libGL.so 
> symlink. Instead the libgl1-nvidia-alternatives package diverts the libGL.so 
> link provided by libgl1-mesa-dev and creates an alternative (via triggers) 
> pointing to the diverted libGL.so - so at link time always the mesa opengl 
> library will be used. For picking up the correct library at package build 
> time, a shlibs file redirecting to libgl1-mesa-glx is being used.
> (I.e. in short - no building/packaging of opengl programs without 
> libgl1-mesa-dev installed).

Thanks for that.


> One thing that probably won't be solved by the currently evolving free drivers 
> (nouveau etc) is support for the GPGPU computation frameworks (CUDA, 
> OpenCL) - therefore we will need the non-free drivers in the future, too. :-(

FWIW OpenCL support is planned for Gallium.


-- 
Earthling Michel Dänzer           |                http://www.vmware.com
Libre software enthusiast         |          Debian, X and DRI developer




Severity set to 'wishlist' from 'normal' Request was from Patrick Matthäi <pmatthaei@debian.org> to control@bugs.debian.org. (Wed, 26 Jan 2011 18:30:11 GMT) Full text and rfc822 format available.

Added tag(s) wontfix. Request was from Patrick Matthäi <pmatthaei@debian.org> to control@bugs.debian.org. (Sun, 13 Feb 2011 20:15:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#610022; Package fglrx-glx. (Sun, 20 Mar 2011 19:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <michael.s.gilbert@gmail.com>:
Extra info received and forwarded to list. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>. (Sun, 20 Mar 2011 19:57:07 GMT) Full text and rfc822 format available.

Message #46 received at 610022@bugs.debian.org (full text, mbox):

From: Michael Gilbert <michael.s.gilbert@gmail.com>
To: 610022-submitter@bugs.debian.org, 610022@bugs.debian.org, control@bugs.debian.org
Subject: re: fglrx-glx fails to install in parallel with nvidia-glx
Date: Sun, 20 Mar 2011 15:52:36 -0400
tag 610022 help
thanks

if someone works out a patch for this i'll be happy to look at it and
probably apply it.  otherwise, i don't have the time to spend on
implementing this, so it's not going to get fixed.

best wishes,
mike




Added tag(s) help. Request was from Michael Gilbert <michael.s.gilbert@gmail.com> to control@bugs.debian.org. (Sun, 20 Mar 2011 19:57:10 GMT) Full text and rfc822 format available.

Message sent on to Ronny Standtke <Ronny.Standtke@gmx.net>:
Bug#610022. (Sun, 20 Mar 2011 19:57:17 GMT) Full text and rfc822 format available.

Reply sent to Patrick Matthäi <pmatthaei@debian.org>:
You have taken responsibility. (Thu, 23 Jun 2011 17:21:11 GMT) Full text and rfc822 format available.

Notification sent to Ronny Standtke <Ronny.Standtke@gmx.net>:
Bug acknowledged by developer. (Thu, 23 Jun 2011 17:21:11 GMT) Full text and rfc822 format available.

Message #56 received at 610022-close@bugs.debian.org (full text, mbox):

From: Patrick Matthäi <pmatthaei@debian.org>
To: 610022-close@bugs.debian.org
Subject: Bug#610022: fixed in fglrx-driver 1:11-6-1
Date: Thu, 23 Jun 2011 17:18:18 +0000
Source: fglrx-driver
Source-Version: 1:11-6-1

We believe that the bug you reported is fixed in the latest version of
fglrx-driver, which is due to be installed in the Debian FTP archive:

fglrx-atieventsd_11-6-1_amd64.deb
  to non-free/f/fglrx-driver/fglrx-atieventsd_11-6-1_amd64.deb
fglrx-control_11-6-1_amd64.deb
  to non-free/f/fglrx-driver/fglrx-control_11-6-1_amd64.deb
fglrx-driver_11-6-1.debian.tar.gz
  to non-free/f/fglrx-driver/fglrx-driver_11-6-1.debian.tar.gz
fglrx-driver_11-6-1.dsc
  to non-free/f/fglrx-driver/fglrx-driver_11-6-1.dsc
fglrx-driver_11-6-1_amd64.deb
  to non-free/f/fglrx-driver/fglrx-driver_11-6-1_amd64.deb
fglrx-driver_11-6.orig.tar.bz2
  to non-free/f/fglrx-driver/fglrx-driver_11-6.orig.tar.bz2
fglrx-glx-ia32_11-6-1_amd64.deb
  to non-free/f/fglrx-driver/fglrx-glx-ia32_11-6-1_amd64.deb
fglrx-glx_11-6-1_amd64.deb
  to non-free/f/fglrx-driver/fglrx-glx_11-6-1_amd64.deb
fglrx-modules-dkms_11-6-1_amd64.deb
  to non-free/f/fglrx-driver/fglrx-modules-dkms_11-6-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 610022@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Patrick Matthäi <pmatthaei@debian.org> (supplier of updated fglrx-driver package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 23 Jun 2011 18:24:12 +0200
Source: fglrx-driver
Binary: fglrx-driver fglrx-glx fglrx-glx-ia32 fglrx-modules-dkms fglrx-control fglrx-atieventsd
Architecture: source amd64
Version: 1:11-6-1
Distribution: experimental
Urgency: high
Maintainer: Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>
Changed-By: Patrick Matthäi <pmatthaei@debian.org>
Description: 
 fglrx-atieventsd - external events daemon for the non-free ATI/AMD RadeonHD display
 fglrx-control - control panel for the non-free ATI/AMD RadeonHD display driver
 fglrx-driver - non-free ATI/AMD RadeonHD display driver
 fglrx-glx  - proprietary libGL for the non-free ATI/AMD RadeonHD display drive
 fglrx-glx-ia32 - proprietary libGL for the non-free ATI/AMD display driver (ia32 l
 fglrx-modules-dkms - dkms module source for the non-free ATI/AMD RadeonHD display driv
Closes: 610022 627100 630592
Changes: 
 fglrx-driver (1:11-6-1) experimental; urgency=high
 .
   * New upstream release.
     Closes: #627100
     - Refresh patch 02-dkms-arch_compat.diff.
   * Remove old comments from maintainer scripts.
   * Remove debconf question about ACPI Powerstates, it is handled by fglrx
     itself.
   * Wrap control fields in debian/control.
   * Depend on xserver-xorg 1:7.6+7 to ensure, that a multiarch xorg is present.
   * Try to mess with multiarch:
      Closes: #630592
     - Rework many packaging parts.
     - Remove diversion handling, it is handled by glx-alternative now.
       Closes: #610022
     - Bump dependency on glx-alternative-fglrx to >= 0.0.1 (which is still in
       NEW).
   * Remove old NEWS file.
   * Remove old menu entries for fglrx-control.
   * Remove rpl from build depends and from debian/rules, no longer needed.
   * Remove all old upgrade paths.
   * Adjust lintian overrides.
   * Import amdxvba.h version 0.74-404001.
Checksums-Sha1: 
 d5ec2d00810f5ab2237f633163d6ffcdc81fb3ad 2355 fglrx-driver_11-6-1.dsc
 1f6db413fb941b162ee3ff1b8e17a044b79d3426 65760175 fglrx-driver_11-6.orig.tar.bz2
 970f4ccbcd2c27d01de1f9d9826f0d03153822b6 105755 fglrx-driver_11-6-1.debian.tar.gz
 77408f0bcfa78f09c989b5fd7c781c3c3898003e 22004468 fglrx-driver_11-6-1_amd64.deb
 2af9a5ada2d95578289015dac95133c454100a94 4435956 fglrx-control_11-6-1_amd64.deb
 c47f97a212328ffd8d552d418cc43912968bbb33 285752 fglrx-glx_11-6-1_amd64.deb
 4dd91ece3c451e49307157fb61717b3debddfd95 152402 fglrx-atieventsd_11-6-1_amd64.deb
 7e8b1b423855004394aee4853f92331eefae4530 920088 fglrx-modules-dkms_11-6-1_amd64.deb
 93ad6581ef1fb76810264b14d4d451af4ce99a6f 9186170 fglrx-glx-ia32_11-6-1_amd64.deb
Checksums-Sha256: 
 c2aab72c2e12f7efc9e4860ea3c1c5136b740ff31301c28dd08c0a222b28e8d7 2355 fglrx-driver_11-6-1.dsc
 df460fdd08799c78675541d8d19fc062f96f57a603706c113ebb1da121b3eb51 65760175 fglrx-driver_11-6.orig.tar.bz2
 303678e2444ce2030355b2abe442197b0b8b2a60151401c18e0f1ad13cb6480a 105755 fglrx-driver_11-6-1.debian.tar.gz
 1532aa7dc2bd4b86f164f914839191efc96d7126677d9b17bf9886dfcb8221f0 22004468 fglrx-driver_11-6-1_amd64.deb
 8caabee78fc5a8e5fa945c2a65957d24b1ecb72e332dc6b1df6be50e7d602f4e 4435956 fglrx-control_11-6-1_amd64.deb
 ff80d9ae43cc901f02c3b4fad4d2e417a4667aeac0cef1a69588c2a7675f7d62 285752 fglrx-glx_11-6-1_amd64.deb
 e87a1908723312e298dc47f4c82717366291821de995921fdaa9f5f1bd00b59f 152402 fglrx-atieventsd_11-6-1_amd64.deb
 a7d4408a71c401ee2be12b68efe1dec54588efa15a1360e2693a0cf08620fbc4 920088 fglrx-modules-dkms_11-6-1_amd64.deb
 65b9bb61d532e99c9d08cba4825d2d32dfaa2ecc30dfb97a5b98b728627bc7e7 9186170 fglrx-glx-ia32_11-6-1_amd64.deb
Files: 
 d0f44bfc5864c06f0fcacb89164a1c60 2355 non-free/x11 extra fglrx-driver_11-6-1.dsc
 5d303c0cc5c0d281e6077e8e711e7bdc 65760175 non-free/x11 extra fglrx-driver_11-6.orig.tar.bz2
 46ed2e2d51a47b9c81e52114d57e6bc4 105755 non-free/x11 extra fglrx-driver_11-6-1.debian.tar.gz
 b59a29bf4c7639a7da740dd48c8c20ef 22004468 non-free/x11 extra fglrx-driver_11-6-1_amd64.deb
 9e05ac4438f2c7de2c1c25265b97bf6b 4435956 non-free/x11 extra fglrx-control_11-6-1_amd64.deb
 dfd04d1ae96644be88042c53899003b3 285752 non-free/x11 extra fglrx-glx_11-6-1_amd64.deb
 a7d1672d170c25af0cf67294da829ad9 152402 non-free/x11 extra fglrx-atieventsd_11-6-1_amd64.deb
 a231d7fb22b961c31ce676bb451ae993 920088 non-free/kernel extra fglrx-modules-dkms_11-6-1_amd64.deb
 cfc00ee71d87bc39c371c06ba28994e7 9186170 non-free/x11 extra fglrx-glx-ia32_11-6-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOA2seAAoJEBLZsEqQy9jkro0P/3NMLQWOdU++dGbIvK74TikD
j0vegA5zCbf1BpGOEzSeVdeUs4OmRBXuHet7ZZpzAu0voq67bxMLXR7xzAT8lEA0
Nlp3pl1L0220HC63e7uEWAHvBuwRk0kPXvSXbC3RH0ISLvfRv3FMUe35pYVemWJJ
pOKVcrCFcjppuwbiSpPCPHOQ+5klShWuPQiuP5pUF1wEqj6STawC2sPk15eYqQN8
fWpewuejz3uer8xJo9Q3RVTID1CYPKguIagJ9GM3w6VhU+sWlEqwfSEE350SVNQM
CM4ygUXy8BLql6SDMuHdF8c2kXlIK93YWDzyb9v0Urvly229Ne2FRplyE+3xp3Xh
ErLvOJe6MXb+qx3UFxb85lDIdasF6DeAhphz2+whEnFbM/GmmW3TwJvucnkALXJl
BxcF/DyShRxM1tY6Tp3Ejxx1ROS8Fp+6mf4Kybj1MEV0PsW/tYyo0m1GRBPLITnk
tbdlAsU1hUDyE7m8yiuCkBO6JyTI9YA4TIgHQ54fhCy/Q7svWoeV1Q2ODIyZbf7p
42IS8HRlM+YpFXlorcK4ZsQkzzlVLBl8oiV8hXrHG1suAv24DbZcgqoBmCNTE7mp
bfBqGGR05mveuII9xUpvAPuFSQQ5VSnmDRl30yeybUIN1E4qVWhpVjrwO0VVIRas
FrzJIzmN2layCZRn2O5Z
=H+Kc
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 12 Aug 2011 07:36:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 20:51:05 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.